function [ind]=fusvect(varargin)

// PURPOSE: makes the fusion of (n x1) vectors and
// sort them in increasing order
// ------------------------------------------------------------
// INPUT:
// * (n x 1) vectors
// ------------------------------------------------------------
// OUTPUT: 
// * ind = a (n x 1) vector
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois

nargin=length(varargin)
ind=vec2col(varargin(1))
for i=2:nargin
   ind=[ind ; vec2col(varargin(i))]
end
ind=gsort(ind,'lr','i')
