function [rols]=contrib_notedp() 

// PURPOSE: contributions from the money equation # (6)
// in D.F Hendry et N.R Ericsson (1991): "Modeling the demand
// for narrow money in the United Kingdom and the United
// States", European Economic Review, p833-886.
// ------------------------------------------------------------
// INPUT:
// nothing 
// ------------------------------------------------------------
// OUPTUT:
// * rols = the results tlist of the ordianry least squares
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois 


load('SCI/macros/grocer/db/bdhenderic.dat') ;

// set the estimation bounds
bounds('1964q3','1989q2')

// estimate the model by ols and save the results in the tlist
// rols; names are entered between quotes, in order that their
// names appears on the printed results
 
rols=ols('delts(lm1-lp)','delts(lp)','delts(lagts(1,lm1-lp-ly))','rnet'...
,'lagts(1,lm1-lp-ly)','cte')

// retrieve the coeficients of the regression
coef=rols('beta')

// calculate the residual over the whole period
resid=delts(lm1-lp)-coef(1)*delts(lp)-coef(2)*delts(lagts(1,lm1-lp-ly))-coef(3)*rnet...
-coef(4)*lagts(1,lm1-lp-ly)-coef(5)

// calculate the ma infinite approximations
mainf_lp=mainf([1+coef(2)+coef(4) ; -coef(2)],...
[1+coef(1) ; -1-coef(1)-coef(2)-coef(4) ; coef(2) ])
mainf_ly=mainf([1+coef(2)+coef(4) ; -coef(2)],...
[0 ; -coef(2)-coef(4) ; coef(2) ])
mainf_resid=mainf([1+coef(2)+coef(4) ; -coef(2)],...
1)
mainf_rnet=coef(3)*mainf_resid

expbd2exc(list('mainf_lp','mainf_ly','mainf_resid','mainf_rnet'),'SCI/scied/DP/he_mainf.txt')

// calculate the contributions
contrib_lp=contrib(delts(lp),mainf_lp)
contrib_ly=contrib(delts(ly),mainf_ly)
contrib_resid=contrib(delts(resid),mainf_resid)
contrib_rnet=contrib(delts(rnet),mainf_rnet)


//
expbd2exc(list('contrib_lp','contrib_ly','contrib_resid','contrib_rnet',...
'delts(lm1)-contrib_lp-contrib_ly-contrib_resid-contrib_rnet'),'SCI/scied/DP/he_contrib.txt')
