function [fstat,f_pvalue,r2]=arlm0(resulols,p,np)

// PURPOSE: LM test of autocorrelation 
// ------------------------------------------------------------
// INPUT:
// * resul1 = results tlist from a first stage estimation 
// * p = # of lag of residuals in the second stage estimation
// * np = unused argument (but put here for compatibility with
//   other testing functions)
// ------------------------------------------------------------
// OUPTUT:
//  * fstat = value of the statistic
//  * f_pvalue = its p-value
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// automatic()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002
 
x=resulols('x')
u=resulols('resid')
for i=1:p
   x=[x lag(u,i)]
end
resid=u-x*ols0(u,x)
sigu=resid'*resid

r2=1-sigu/resulols('sigu')
df=resulols('nobs')-resulols('nvar')-p
//chistat=df*(1-r2('sigu')/((u-mean(u))'*(u-mean(u))))
fstat=(resulols('sigu')/sigu-1)*df/p
//chi2_pvalue=1-cdfchi("PQ",chistat,p)
f_pvalue=1-cdff("PQ",fstat,p,df)
