function [f,f_pvalue,nvar2,r2]=hetero_sq0(r,np)

// PURPOSE: provides the value of the Xi hetero test
// and its significance level
// ------------------------------------------------------------
// INPUT:
// * r = results tlist from a first stage estimation 
// * np = unused argument put for compatibility with other
// testing functions
// ------------------------------------------------------------
// OUPTUT:
// * f = value of the Xi hetero F test
// * f_pvalue = its p-value
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// automatic()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

nvar=r('nvar')
nobs=r('nobs')
u2=r('resid').^2
xd=ones(nobs,1)
x=r('x')
for i=1:nvar
   if bkwols([xd x(:,i)]) < 1E6 then
      xd=[xd x(:,i)]
   end
   if bkwols([xd x(:,i).^2]) < 1E6 then
      xd=[xd x(:,i).^2]
   end
end
nvar2=size(xd,2)
if nobs-nvar-nvar2 > 0 then
   [f,f_pvalue,nvar2,r2]=bpagan0(u2,xd,nvar)
else
   f=0
   f_pvalue=1
end
