function [fstat,f_pvalue,dfnum,dfden]=predfailin0(res,n1,np)

// PURPOSE: Chow "predictive failure" test
// ------------------------------------------------------------
// INPUT:
// * resulols = a results tlist from a first stage estimation 
// * n1 = # of observations of the sub-period
// ------------------------------------------------------------
// OUPTUT:
// * fstat = value of the test statistic
// * f_pvalue = its p-value
// * dfnum = # dof of the numerator 
// * dfden = # dof of the denominator 
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// automatic()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

x=res('x')
y=res('y')
nobs=res('nobs')
nvar=res('nvar')

y1=y(1:n1)
x1=x(1:n1,:)
x2=x(n1+1:nobs,:)
y2=y(n1+1:nobs)
//treats the case of dummies
for i=nvar:-1:1
   if x1(:,i) == zeros(n1,1) then 
      x1(:,i)=null()
      x2(:,i)=null()
      nvar=nvar-1
   end
end

b1=ols0(y1,x1)
resid1=y1-x1*b1
ssr1=resid1'*resid1

dfnum=nobs-n1
dfden=n1-nvar

fstat=(res('sigu')-ssr1)/ssr1*dfden/dfnum
f_pvalue=1-cdff("PQ",fstat,dfnum,dfden)

