function [rn]=chis_rnd(nn,v)

// PURPOSE: generates random chi-squared deviates
// ------------------------------------------------------------
// INPUT:
// *  n = a scalar for the size of the vector to be generated
// or n(1) = nrows, n(2) = ncols for a matrix to be generated
// *  v = the degrees of freedom 
// ------------------------------------------------------------
// OUTPUT: 
// pdf == (nxm) vector containing pdf for each x
// ------------------------------------------------------------
// Copyright: Anders Holtsberg
// Converted to MATLAB by James P. Lesage, 
// jpl@jpl.econ.utoledo.edu 
// and adapted to scilab by Eric Dubois 

[nargout,nargin] = argn(0) 
if nargin~=2 then
  error('Wrong # of arguments to chis_rnd');
end
if ~(v>1) then
  error('chis_rnd: v must be > 1');
end
 
a = v*.5;
 
rn = rgamma(nn,a)*2;
 
