function [x]=fdis_rnd(n,a,b)

// PURPOSE: returns random draws from the F(a,b) distribution
// ------------------------------------------------------------
// INPUT:
// * n = size of vector 
// * a = scalar dof parameter
// * b = scalar dof parameter
// ------------------------------------------------------------
// OUPTUT:
// x = a vector of random draws from the F(a,b) distribution
// ------------------------------------------------------------
// NOTE:  mean should equal (b/a)*((a/2)/(b/2-1))
// ------------------------------------------------------------
// Copyright (c) Anders Holtsberg
// translated to scilab by Eric Dubois
 
x = beta_rnd(n,a/2,b/2);
x = x .* b ./ ((1-x) .* a);
