function [x]=hypg_rnd(num,n,K,N)

// PURPOSE: hypergeometric random draws
// prob(X=x) = (N)^-1 (K)(N-K)
//             (n)    (x)(n-x)
// ------------------------------------------------------------
// INPUT:  nobs = number of draws
//        n,K,N = parameters of the distribution 
// ------------------------------------------------------------
// OUTPUT:
// x = a vector of random draws from the distribution      
// ------------------------------------------------------------
// NOTE: mean     = (n/N)*k
//       variance = [(n*K)/(N*N)*(N-1)]*(N-K)*(N-n)
// ------------------------------------------------------------
//       Copyright (c) Anders Holtsberg
// translated to scilab by Eric Dubois
 
x = hypg_inv(rand(num),n,K,N);
