function [y]=norm_rnd(sig)

// PURPOSE: random multivariate random vector based on
//          var-cov matrix sig
// ------------------------------------------------------------
// INPUT:
//   sig = a square-symmetric covariance matrix 
// ------------------------------------------------------------
// OUTPUT:
// y = random vector normal draw mean 0, var-cov(sig)
// ------------------------------------------------------------
// NOTE: for mean b, var-cov sig use: b +  norm_rnd(sig) 
// ------------------------------------------------------------
// Copyright: Eric Dubois 
// written by:
// James P. LeSage, Dept of Economics
// University of Toledo
// 2801 W. Bancroft St,
// Toledo, OH 43606
// jlesage@spatial-econometrics.com
// and translated to scilab by Eric Dubois
 
[nargout,nargin] = argn(0)
if nargin~=1 then
  error('Wrong # of arguments to norm_rnd');
end
 
h = chol(sig);
[nrow,ncol] = size(sig);
x = rand(nrow,1,'n');
y = h'*x;
