function [rnd]=unif_rnd(n,a,b)

// PURPOSE: returns a uniform random number between a,b 
// ------------------------------------------------------------
// INPUT:
// * a = scalar left limit
// * b = scalar right limit
// * n = number of draws (default = 1)
// ------------------------------------------------------------
// OUTPUT:
// rnd = (nx1) draws from the normal distribution
// ------------------------------------------------------------
// NOTE: mean = (a+b)/2, variance = (b-a)^2/12
//---------------------------------------------------
// RETURNS: rnd scalar or vector
//---------------------------------------------------
// Copyright: Eric Dubois
// written by:
// James P. LeSage, Dept of Economics
// University of Toledo
// 2801 W. Bancroft St,
// Toledo, OH 43606
// jpl@jpl.econ.utoledo.edu
// and trnaslated to scilab by Eric Dubois
 
[nargout,nargin] = argn(0)
if nargin<2 then
  error('Wrong # of arguments to unif_rnd');
end
 
if nargin<3 then
  n = 1;
end
 
rnd = a+(b-a) .* rand(n,1,'u');
