function genlib_grocer()
// get all .sci files in the specified directory
// Copyright INRIA & Eric Dubois

nam='grocer'

groclist=['automatic';'basic';'cointsci';'contrib';'diagnos';'distrib';'garch';...
'kalman';'likesci';'multi';'optsci';'prtgroc';'single';'ts';'var';'varma';...
'contrib';'filters';'e4']
nblib=size(groclist,1)

[lhs,rhs]=argn(0)
if MSDOS then
   path=SCI+'\macros\grocer\'
else
   path=SCI+'/macros/grocer/'
end

path1=path
path0=path

names=[];
for i=1:nblib
   if MSDOS then
      path=path0+groclist(i)+'\'
      lst=unix_g('dir /B /OD '""+path+'* ""')
      lst=lst($:-1:1)
   else
      lst=unix_g('ls  -t1 '+path0+groclist(i)+'/*.*') 
   end
   // lookfor .sci files
   sci=[];
   for k=1:size(lst,'*')
      ke=strindex(lst(k),'.sci')
      if ke<>[] then 
         if ke($)==length(lst(k))-3 then
            sci=[sci;k];
         end
      end
   end

   modified=%f
   for k1=1:size(sci,'*')  // loop on .sci files
      k=sci(k1);
      if MSDOS then
         fl=path+lst(k)
         fnam=lst(k)
      else
         fl=lst(k)
         ks=strindex(fl,'/')
         if ks==[] then fnam=fl;else fnam=part(fl,ks($)+1:length(fl));end
      end
      names=[names;strsubst(fnam,'.sci','')] // add file name to file name vector
      bin=find(strsubst(lst(k),'.sci','.bin')==lst)
      if bin==[]| bin>k then
         modified=%t
         if MSDOS then
            getsave_groc(fl,groclist(i)+'\') // getf sci file and save functions it defines as a .bin file
         else
            getsave_groc(fl,groclist(i)+'/') // getf sci file and save functions it defines as a .bin file
         end
      end
   end

end

// write 'names' file in directory given by path
u=file('open',path0+'names','unknown');
write(u,names,'(a)');file('close',u)

if modified
// create library
   execstr(nam+'=lib('''+path0+''')')
   [u,ierr]=mopen(path0+'lib','wb')
   // save library in directory given by path
   if ierr<>0 then 
      error(path+'lib file cannot be opened for writing')
   end
   execstr('save(u,'+nam+')');mclose(u)
else
   execstr(nam+'=lib('''+path1+''')')
end

execstr(nam+'=resume('+nam+')')
xlib=lib(path0)
save(path0+'lib',xlib)


function getsave_groc(fl,sublib)
prot=funcprot();funcprot(0)
nold=size(who('get'),'*')

errcatch(-1,'continue')
getf(fl) // get functions defined in file 'fl'
if iserror(-1) then
   errclear (-1)
   warning('Error in file '+fl+' file ignored')
else
   errcatch(-1)
   // lookfor names of the functions defined in file 'fl'
   new=who('get')
   new=new(1:(size(new,'*')-nold-1))
   // create output file name
   fl=strsubst(fl,'.sci','.bin')
   fl=strsubst(fl,sublib,'')
   // save all functions in the output file
   [u,ierr]=mopen(fl,'wb')
   if ierr<>0 then 
      error('Impossible to open file '+fl+' for writing, ')
   end
   if new<>[] then 
      execstr('save(u,'+strcat(new($:-1:1),',')+')'); 
   else 
      write(%io(2),'function ""'+fl+'"" does not contain any functions');
   end
   mclose(u)
end

funcprot(prot)

