function y0=drawy(y,font_axis,y0,x0,dircar)

// PURPOSE: draw a y axis for a graph which is readable 
// whatever number of values it contains
// ------------------------------------------------------------
// INPUT:
// * y = the y matrix of the graph
// * font_axis = size of characters on the axis
// * y0 = value of the y axis where to draw the x axis or [] if 
//   the user wants to put the x axis at the minimum y value
// * x0 = value of the x axis where to draw the y axis
//   (default: 1)
// * dircar= the tics direction (default: 'l', see drawaxis
//   for details)
// ------------------------------------------------------------
// OUPTUT:
// y0 = value of the y axis where to draw the x axis
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

[nargout,nargin]=argn(0)
ynonna=y(~isnan(y))
// determine the range of the y axis
if nargin == 3 then
   x0=1
   dircar='l'
end
if nargin == 4 then
   dircar='l'
end

sca=yscale(ynonna)
// sca is the vector of values that will be drawn
lasttic=size(sca,2)

if y0 == [] then
   y0=min(ynonna)
end


drawaxis(y=[sca(lasttic) max(ynonna)],x=x0,dir=dircar,tics='v',fontsize=font_axis,val=emptystr(2,1),sub_int=0)
drawaxis(y=[min(ynonna) sca(1)],x=x0,dir=dircar,tics='v',fontsize=font_axis,val=emptystr(2,1),sub_int=0)

drawaxis(y=sca,x=x0,dir=dircar,tics='v',fontsize=font_axis,sub_int=0)
