function []=plt_dfb(res)

// PURPOSE: plots the dfbetas coefficients of an ols regression
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of function dfbeta
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are plotted
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

nvar=res('nvar')
nobs=res('nobs')
dfbet=res('dfbeta')

// if there are ts in the regression, set the values of the x
// axis:
if res('prests') then
   bounds=res('bounds')
   for i=1:size(bounds,1)/2
      d1=date2num(bounds(i*2-1))
      xscale0=num2date([d1:d1+diff_date(bounds(2*i),...
              bounds(2*i-1))],date2fq(bounds(i*2-1)))
   end
else
   xscale0 = string([1:nobs])
end

for i=1:nvar
   tit='dfbetas for variable '+res('namex')(i)
   pltseries0(dfbet(:,i),[],tit,xscale0,i)
end
