function []=plt_dff(res)

// PURPOSE: plots the dffits, studentized residuals and 
// hat-matrix diagonal
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of function dfbeta
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are plotted
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

nvar=res('nvar')
y=[res('dffits') results('stud') results('hatdi')]
tit=['dffits' 'studentized residuals' 'hat-matrix diagonals']


// if there are ts in the regression, set the values of the x
// axis:
if res('prests') then
   bounds=res('bounds')
   for i=1:size(bounds,1)/2
      d1=date2num(bounds(i*2-1))
      xscale0=num2date([d1:d1+diff_date(bounds(2*i),...
              bounds(2*i-1))],date2fq(bounds(i*2-1)))
   end
else
   xscale0 = [1:nobs]
end

wind=max(winsid())+1
xscale0v=xscale0.*.ones(3,1)
mpltseries0(y,[],tit,string(xscale0v),wind)
