function []=pltacf(res,styleg)

// PURPOSE: plots series... (scilab function plot2d, but with
// some scilab parameters fixed and new possibilities, such as
// ts)
// ------------------------------------------------------------
// INPUT:
// * s = a (nx1) or (1xn) vector, a ts or a string representing
//   the name of such a vector or ts 
// * (optional) varargin:
//   - 'title=x' if the user want to give its own title
//     (default: the name of the ts if it has been given
//     between quotes, the string 'ts' if not)
//   - 'bounds=[''b1'' ; ''b2'' ;...; ''bn'']' if the user
//     wants to give its own bounds
//     (default: the whole series)
//   - 'window=x' if the user wants to specify the # x where
//     the graph is plotted
//     (default: the window 1)
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the graphic window
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

select res('meth')
case 'acf' then
   meth0=''
case 'pacf' then
   meth0='partial '
end
tit=meth0+'autocorrelation for '+res('namey')

if res('prests') then
   tit=tit+' over the period '+joinstr(res('bounds'),'-')
end

[nargout,nargin]= argn(0)
select nargin
case 1 then
   if res('meth') == 'acf' then
      pltseries0([res(4) res(5) res(6)],0,...
      tit,string([1:size(res(4),1)]),1,'leg=['+meth0+'autocorrelation;'+string(1-res('size'))+...
      ' % significance band','bars=[1 2 2]','style=[1 2 2]','color=[1 2 2 ]','x0=0','styleg=3')
   else
      pltseries0([res(4) res(5) res(6)],0,...
      tit,string([1:size(res(4),1)]),1,'leg=['+meth0+'autocorrelation;'+string(1-res('size'))+...
      ' % significance band','bars=[1 2 2]','style=[1 2 2]','color=[1 2 2 ]','x0=0','styleg=4')
   end
else
      pltseries0([res(4) res(5) res(6)],0,...
   tit,string([1:size(res(4),1)]),1,'leg=['+meth0+'autocorrelation;'+string(1-res('size'))+...
   ' % significance band','bars=[1 2 2]','style=[1 2 2]','color=[1 2 2 ]','x0=0',styleg)
end