function []=pltcusum(res,siz,output)

// PURPOSE: plots the results of the cusum test
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of function cusumb or cusumf
// * siz= the chosen size dor the test (0.01, 0.05 or 0.1)
// * out = the symobolic name of the file where the 
//              results are printed (default: %io(2))
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the graphic window
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

// load the parameters that determines the fonts
load('SCI/macros/grocer/db/param_g.dat')

[nargout,nargin]=argn(0)
select nargin 
case 1 then
   siz=0.05
   output=%io(2)
case 2 then 
   output=%io(2)
end

s=string(100*(1-siz))

w=res('cusum')
ch='wl=res(''cusum_l'+s+''')'
execstr(ch)
ch='wu=res(''cusum_u'+s+''')'
execstr(ch)
ti1=res('dir')+' cusum test'

w2=res('cusums')
ch='w2l=res(''cusums_l'+s+''')'
execstr(ch)
ch='w2u=res(''cusums_u'+s+''')'
execstr(ch)
ti2=res('dir')+' cusumq test'

co='color=[1 2 2]'
le='leg=[test statistic;'+s+' % confidence band'

if res('prests') then
   bo=res('bounds')
   for i=1:size(bo,1)/2
      d1=date2num(bo(i*2-1))
      xscale0=num2date([d1:d1+diff_date(bo(2*i),...
              bo(2*i-1))],date2fq(bo(i*2-1)))
      nobs=size(xscale0,2)
   end
else
   xscale0 = [1:nobs]
end

pltseries0([w,wl,wu],0,ti1,string(xscale0),1,le,co)
set("old_style","on")
drawaxis(x=[1 nobs 1],y=max(max(wu),max(w)),dir='d',tics='r',sub_int=0,val=emptystr(2,1))
drawaxis(x=[1 nobs 1],y=min(min(wl),min(w)),dir='d',tics='r',sub_int=0,val=emptystr(2,1))

drawy([w,wl,wu],font_axis,[],nobs,'r')
set("old_style","off")

pltseries0([w2,w2l,w2u],0,ti2,string(xscale0),2,le,co)   
//   pltseries(w,wl,wu,ti1,co,le,'window=1','y0=0')
//   pltseries(w2,w2l,w2u,ti2,co,le,'window=2','y0=0')

