function []=pltirf1(res)

// PURPOSE: plots the results of the impulse functions from a
// var regression on the file out
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of an IRF 
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

set("old_style","on")
// load the parameters that determines the fonts
load('SCI/macros/grocer/db/param_g.dat')

rvar=res('resvar')
N=rvar('neqs')
T=res('T')
IRF=res('IRF')
IRF_LOW=res('IRF_LOW')
IRF_UPP=res('IRF_UPP')
namey=rvar('namey')
xscale0=string([0:T-1])
msg=res('msg')

strleg='leg=[response;'+string(100*(1-res('size')))+'% confidence band]'

for i=1:N

   xset("window",i)
// clean the screen:
   xbasc(i)
   t=emptystr(N,1)
   for j=1:N
      t(j)=msg+'- response of '+namey(i)+' to an innovation in '+namey(j)
   end

   font_title=min(maxcar,maxcar-floor(lengthtitle=max(length(t))/thresh))

   for j=1:N
      xset("font size",min(font_title,font_axis))
      xtitle(t(j))
      y=[IRF(N*[0:T]+i,j) IRF_LOW(N*[0:T]+i,j) IRF_UPP(N*[0:T]+i,j)]
      xsetech([0 (j-1)/N 1 1/N])
      xset("font size",1)
      plot2d([0:T],y,[1 2 2],axesflag=0,leg='impulse@'+...
      string(100*(1-res('size')))+'% confidence band')
      drawy(y,font_axis,0,0)
      drawx(xscale0,ref_nbinter,font_axis,0,0)
   end

end
set("old_style","off")

