function []=pltirf2(res)

// PURPOSE: prints the results of the impulse functions from a
// var regression on the file out
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of an IRF 
// * out = the symobolic name of the file where the 
//              results are printed 
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

set("old_style","on")
rvar=res('resvar')
N=rvar('neqs')
T=res('T')
IRF=res('IRF')
IRF_LOW=res('IRF_LOW')
IRF_UPP=res('IRF_UPP')
namey=rvar('namey')
x=[(0:T)']
msg=res('msg')

strleg='response@'+string(100*(1-res('size')))+'% confidence band'

for i=1:N
// one window per shock
   xset("window",i)
// clean the window
   xbasc(i)
   for j=1:N
      xsetech([0 (j-1)/N 1 1/N])
      t='title='+msg+'- response of '+namey(i)+' to an innovation in '+namey(j)
      pltseriesm(IRF(N*[0:T]+i,j),IRF_LOW(N*[0:T]+i,j)...
         ,IRF_UPP(N*[0:T]+i,j),t,'leg='+strleg,'window=-1',...
         'x=[0:'+string(T)+']','color=[1 2 2]','yaxex=0'...
         )
   end
end
set("old_style","off")


