function []=prtauto_univ(results,namemod,test,output)

// PURPOSE: prints the sub-results named namemod in a tlist
// provided by automatic
// ------------------------------------------------------------
// INPUT:
// * results = a tlist results from automatic()
// * namemod = the name of the sub-results to print in the 
//   results tlist
// * test = %t if the user wants to print the specification
//          tests results ; %f if not
// * output = the file where the results are printed
// ------------------------------------------------------------
// OUTPUT: nothing, only prints results
// ------------------------------------------------------------
// NOTE: used by prtauto()
// ------------------------------------------------------------
// Copyright: Eric Dubois

[nargout,nargin]=argn(0)
if nargin == 2 then
   test=%f
   output=%io(2)
end
if nargin == 3 then
   output=%io(2)
end

write(output,namemod)
write(output,' ')

if namemod == 'final model' then
   write(output,'ending reason: '+results('ending reason'))
   write(output,' ')
end

if and(results(1) ~= namemod) then
   warning(' there is no '+namemod+' to display')
   return
else
   r=results(evstr(''''+namemod+''''))
end

prtuniv(r,output)

if test then
   write(output,' ')
   write(output,'tests results:')
   write(output,'**************')
   m=['test value' 'p-value']
   m= [m ; string(r('spec_test'))]
   m2prt=[r('m_test') m]
   printmat(m2prt,output)
   write(output,' ')
   printsep(output)
end

