function []=prtdet(res,out)

// PURPOSE: prints the results of a var regression 
// whose order has been seleted by det_order on 
// the file out
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of a univariate regression 
// * out = the symobolic name of the file where the 
//              results are printed (default: %io(2))
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the specified file
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// det_order()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002
 
write(out,' ')
crit=res('crit')
ch='res('''+crit'+'vec'')'
critvec=evstr(ch)
mat2prt=['# of lags' res('crit')+' criterion';...
         string([0:res('lagmax')]') string(critvec)]
printmat(mat2prt,out)
write(out,' ')
write(out,'selected lag: '+string(res('slag')))
prtvar(res,out)
