function []=prtjohvec(res,nbr,out)

// PURPOSE: prints the results of the first nbr cointegration
// vectors
// ------------------------------------------------------------
// INPUT:
// * res = the results typed list of a johansen regression 
// * nbr = # cointegration vectors selected
// * out = the symobolic name of the file where the 
//              results are printed (default: %io(2))
// ------------------------------------------------------------
// OUPTUT:
// nothing: all results are printed on the specified file
// ------------------------------------------------------------
// NOTES:
// used by the following function:
// ecm()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

[nargout,nargin] = argn(0)
if nargin == 2 then
   out=%io(2)
end
write(out,' ')

write(out,'*** cointregrating vectors from johansen estimation ***')
write(out,' ')
mat2prt=['variable' 'vector # '+string(1:nbr)+' ';...
         res('namey') string(res('evec')(:,1:nbr))]
printmat(mat2prt,out)
write(out,' ')

printsep(out)
