function [sca,miny,maxy]=yscale(y)

// PURPOSE: determines from the y values of the values of the 
// y scale
// ------------------------------------------------------------
// INPUT:
// * y = the vector of values of the scale
// ------------------------------------------------------------
// OUPTUT:
// * sca = the y scale
// * miny = minimum of y values
// * maxy = maximum of y values
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

y=y(~isnan(y))
miny=min(y)
maxy=max(y)
// determine the range of the y axis:
ordy=floor(log10(maxy-miny))

// dermination of the scale with respect to the difference between
// the lower and upper significative number
ymax=floor(max(y/10^ordy))
ymax=ymax+bool2s(maxy ~= ymax*10^ordy)
ymin=floor(min(y/10^ordy))
if ymax-ymin > 5 then
   nint=1
else
   ymax=floor(max(y*2/10^ordy))/2
   ymax=ymax+bool2s(maxy ~= ymax*10^ordy)/2
   ymin=floor(min(y*2/10^ordy))/2
   if ymax-ymin > 2.5 then
      nint=2
   else
      ymax=floor(max(y*5/10^ordy))/5
      ymax=ymax+bool2s(maxy ~= ymax*10^ordy)/5
      ymin=floor(min(y*5/10^ordy))/5
      if ymax-ymin > 1 then
         nint=5
      else
         nint=10
         ymax=floor(max(y*10/10^ordy))/10
         ymax=ymax+bool2s(maxy ~= ymax*10^ordy)/10
         ymin=floor(min(y*10/10^ordy))/10
      end
   end
end
sca=[ymin*nint:ymax*nint]/nint*10^ordy

if abs(sca(1)-miny) > 2*%eps then
   sca(1)=[]
end

lasttic=size(sca,2)
if abs(sca(lasttic)-maxy) > 2*%eps then
   sca(lasttic)=[]
   lasttic=lasttic-1
end

