function []=bounds(varargin)

// PURPOSE: sets the bounds of a regression
// ------------------------------------------------------------
// INPUT:
// a series of dates strings 
// ------------------------------------------------------------
// OUTPUT: 
// Nothing: the bounds are transferred to the upper level in a  
// (p x 1) vector by the argument resume
// ------------------------------------------------------------
// NOTES: the choice made to have bounds which remain valid 
// until the user leaves the environment (a working space or
// a function) can be discussed: it is not without danger, 
// since bounds used by a program can be different from the
// ones the user intended to use; it mimics the Portable 
// Troll choice and is very convenient...  
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

[nargout,nargin]=argn(0)
boundsvar=[]
if modulo(nargin,2) == 1 then
   error('the number of your arguments is not even')
end
for i=1:nargin
   boundsvar=[boundsvar ; varargin(i)]
end
grocer_boundsvar=resume(boundsvar)




