function [xpxi]=invxpx(x)

// PURPOSE: provide inversion of the matrix (x'x) using the
// QR decomposition
// ------------------------------------------------------------
// INPUT:
// x = a (nxk) real matrix
// ------------------------------------------------------------
// OUTPUT:
// xpxi = the (k x k) matrix equal to inv(x'x)
// ------------------------------------------------------------
// NOTES:
// used by the following functions:
// ols0(), ols1(), ols2()
// ------------------------------------------------------------
// Copyright: Eric Dubois 2004

[nobs,nvar]=size(x)
if nobs < 2000 then
   [q,r]= qr(x)
   r = r(1:size(r,2),:)
   xpxi = inv(r'*r)
else
   xpxi=inv(x'*x)
end

