function [lres,mres,tres]=theil_d()
// PURPOSE: An example using theil(),
// Theil-Golberger mixed estimation
//---------------------------------------------------
// USAGE: theil_d
//---------------------------------------------------
 
// generate a data set
nobs = 100;
nvar = 5;
bet = ones(nvar,1);
 
xmat = rand(nobs,nvar-1,'n');
exo = [ones(nobs,1),xmat];
evec = rand(nobs,1,'n');
 
endo = exo*bet+evec;
 
res = ols('endo','exo');
 
nvar = res('nvar');
  
// set up prior
// prior means for the coefficients
rvec = [1; ;1;1;1;1];
 
rmat = eye(nvar,nvar);
bv = 10000;
 
// umat1 = loose prior
// umat2 = medium prior
// umat3 = tight prior
 
 
umat1 = eye(nvar,nvar)*bv;
// initialize prior variance as diffuse
 
for i = 1:nvar
  umat1(i,i) = 1;
  // overwrite diffuse priors with informative prior
end
 
 
umat2 = eye(nvar,nvar)*bv;
// initialize prior variance as diffuse
 
for i = 1:nvar
  umat2(i,i) = .1;
  // overwrite diffuse priors with informative prior
end
 
umat3 = eye(nvar,nvar)*bv;
// initialize prior variance as diffuse
 
for i = 1:nvar
  umat3(i,i) = .01;
  // overwrite diffuse priors with informative prior
end
 
 
lres = theil(rvec,rmat,umat1,'endo','exo')
  
mres = theil(rvec,rmat,umat2,'endo','exo')
 
tres = theil(rvec,rmat,umat3,'endo','exo')
 
 
 
