function [ts]=%s_r_ts(const,ts)

// PURPOSE: operates the division of a number by a timeseries;
// the overloading capability of scilab allows then one to write
// const/ts to do the division
// ------------------------------------------------------------
// INPUT:
// * const = a real constant
// * ts = a time series
// ------------------------------------------------------------
// OUTPUT:
// * ts = the division of the number by the timeseries
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois 

s=ts('series')
indzero=find(s==0)
s(indzero)=1
invs=const*ones(size(s,1),1)./s
invs(indzero)=%nan
ts('series')=invs
