function [num,fq]=date2num_fq(dat)

// PURPOSE:  return the numerical representation and the
// frequency of a date
// ------------------------------------------------------------
// INPUT:
// dat = a date string
// ------------------------------------------------------------
// OUTPUT: 
// * num = the numerical representation of the date
// * fq = its frequency
// ------------------------------------------------------------
// NOTES: must be extended if one wants to introduce new 
// default frequency
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002


ia=strindex(dat,'a')
if length(ia) ~= 0 then
   fq=1
   num=evstr(part(dat,1:ia-1))
else 
   iq=strindex(dat,'q')
   if length(iq) ~= 0 then
      fq=4
      num=evstr(part(dat,1:iq-1))*4+evstr(part(dat,iq+1))
   else
      im=strindex(dat,'m')
      if length(im) ~= 0 then
         fq=12
         num=evstr(part(dat,1:im-1))*12+evstr(part(dat,im+1:length(dat)))
      else
         indf=strindex(dat,'f')
         if length(indf) ~= 0 then
            id=strindex(dat,'d')
            if id==[] then
               error(dat+' is not a date')
            else
               fq=evstr(part(dat,indf+1:id-1))
               num=evstr(part(dat,1:indf-1))*fq+evstr(part(dat,id+1:length(dat)))
            end
         else
            error(dat+' is not a date')
         end
      end
   end
end

