function num=date2num_m(dat)

// PURPOSE: retrieve from a matrix of dates in string format 
// their numerical representation
// ------------------------------------------------------------
// INPUT:
// dat = a matrix of dates strings
// ------------------------------------------------------------
// OUTPUT: 
// * num = the numerical representation of the dates
// ------------------------------------------------------------
// NOTES: must be extended if one wants to introduce a new 
// default frequency
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

[m,n]=size(dat)
num=ones(m,n)
ia=strindex(dat(1,1),'a')
if length(ia) ~= 0 then
   for i=1:m
      for j=1:n
         ia=length(dat(i,j))
         num(i,j)=evstr(part(dat(i,j),1:ia-1))
      end  
   end
else
   iq=strindex(dat(1,1),'q')
   if length(iq) ~= 0 then
      for i=1:m
         for j=1:n
            iq=length(dat(i,j))
            num(i,j)=evstr(part(dat(i,j),1:iq-2))*4+evstr(part(dat(i,j),iq))
         end
      end
   else
      im=strindex(dat(1,1),'m')
      if length(im) ~= 0 then
         for i=1:m
            for j=1:n
               im=strindex(dat(i,j),'m')
               num(i,j)=evstr(part(dat(i,j),1:im-1))*12+evstr(part(dat(i,j),im+1:length(dat(i,j))))
            end
         end
      else
         indf=strindex(dat(1,1),'f')
         if length(indf) ~= 0 then 
            for i=1:m
               for j=1:n
                  indf=strindex(dat(i,j),'f')
                  indd=strindex(dat(i,j),'d')
                  num(i,j)=evstr(part(dat(i,j),1:indf-1))...
                          *evstr(part(dat(i,j),indf+1:indd-1))...
                          +evstr(part(dat(i,j),indd+1:length(dat(i,j))))
               end
            end
         else
            num=evstr(dat)
         end
      end
   end
end
