function tsout=delts(varargin)

// PURPOSE: Compute x(t)-x(t-n) for a timeseries x
// ------------------------------------------------------------
// INPUT:
// * first argument = the oder of differenciation (optional, 
// set to 1 if not provided, can be >0, =0 or <0) 
// * last argument (which can be the first !) = a time series
// ------------------------------------------------------------
// OUTPUT:
// * tsout = the diferenciated time series
// ------------------------------------------------------------
// NOTES: equivalent, but a little bit quicker than 
// x-lagts(n,x)
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002

nargin=length(varargin)
if nargin == 1 then
   tsout=varargin(1)
   s=tsout('series')
   dat=tsout('dates')
   n=size(s,1)
   tsout('series')=s(2:n)-s(1:n-1)
   tsout('dates')=dat(2:n)
else   
   tsout=varargin(2)
   s=tsout('series')
   dat=tsout('dates')
   n=size(s,1)
   l=varargin(1)
   tsout('series')=s(max(1,l+1):n-max(0,-l))...
                   -s(max(1,-l+1):n-max(0,l))
   tsout('dates')=dat(max(1,l+1):n-max(0,-l))
end
