function [ts]=reshape(mat,datin)

// PURPOSE: create a time series from a vector of values and a 
// beginning date 
// ------------------------------------------------------------
// INPUT:
// * mat = a (1 x nobs) or (nobs x 1) vector 
// * datin = a date string
// ------------------------------------------------------------
// OUTPUT:
// * ts = the corresponding time series
// ------------------------------------------------------------
// NOTES:
// ------------------------------------------------------------
// Copyright: Eric Dubois


[n,m]=size(mat)
// a timeseries is always supposed to be a column 
if n == 1 then 
   mat=mat'
   n=m
end

[datfirst,fq]=date2num_fq(datin)
datlast=datfirst-1+n
ts=tlist(['ts';'freq';'dates';'series'],...
         fq,[datfirst:datlast]',mat)
