function [results,resirf]=var_d()
// PURPOSE: An example of using var to estimate a
//           vector autoregressive model,taken from 
//         "Introduction to multiple time series analysis"
//         by Helmut Ltkepohl (chapter 3) 
// 
 
//importexcel('c:/scilab-2.6/scied/grocer/varsci/lutk1.csv',";",'c:/scilab2.5/scied/varsci/lutk1.dat')
load('SCI/macros/grocer/db/lutk1.dat')

bounds('1960q4','1978q4')
results=var(2,'endo=delts(log(rfa_inv));delts(log(rfa_inc));delts(log(rfa_cons))')
// a calculation with orthogonized resiudals and asymptotic confidence band
[resirf]=irf(results,10,'mres=chol1','meth=asym')
pltirf(resirf)
disp('type resume if you want to see the next simulation')
pause
// a calculation with original resiudals and Monte-Carlo confidence band
[resirf]=irf(results,10,'mres=original','meth=mc1','niter=1000')
pltirf(resirf)
disp('type resume if you want to see the next simulation')
pause
// a calculation with 1-sigma orthogonalized residuals and Monte-Carlo confidence band
[resirf]=irf(results,10,'mres=chol2','meth=mc1','niter=1000')
pltirf(resirf)
//bounds('1961q2','1978q4')
//results=det_order(4,'aic','endo=[delts(log(rfa_inv)) delts(log(rfa_inc)) delts(log(rfa_cons))]')
//results=det_order(4,'bic','endo=[delts(log(rfa_inv)) delts(log(rfa_inc)) delts(log(rfa_cons))]')
//results=det_order(4,'hq','endo=[delts(log(rfa_inv)) delts(log(rfa_inc)) delts(log(rfa_cons))]')


