function [theta]=belgi();
// Non observable components model
//e4init

[E4OPTION,ERRORSTR,WARNSTR,DISPSTR]=e4init()

mtlb_load('SCI/scied/grocer/encours/e4sci/belgi.dat');
grocer_e4_y = log(belgi)*1000;
[theta,grocer_e4_din,lab]=ss2thd([1 1; 0 1],[],[0;1],[1 0],[],[1],[0],[0],[0]);

[grocer_e4_H_D,grocer_e4_type,grocer_e4_m,grocer_e4_r,grocer_e4_s,grocer_e4_n,grocer_e4_np,...
grocer_e4_userflag,grocer_e4_userf,grocer_e4_innov,grocer_e4_szpriv] = e4gthead(grocer_e4_din);
grocer_e4_T = size(grocer_e4_y,1)
grocer_e4_p = grocer_e4_din(grocer_e4_H_D+2);
grocer_e4_P = grocer_e4_din(grocer_e4_H_D+3);
grocer_e4_q = grocer_e4_din(grocer_e4_H_D+4);
grocer_e4_Q = grocer_e4_din(grocer_e4_H_D+5);
grocer_e4_g = grocer_e4_din(grocer_e4_H_D+6);
grocer_e4_k = grocer_e4_n/grocer_e4_m;
grocer_e4_type2=int(grocer_e4_type/2)
grocer_e4_vdiag = grocer_e4_din(grocer_e4_H_D+1);
grocer_e4_scaleb = E4OPTION(2);
grocer_e4_vcond = E4OPTION(3);
grocer_e4_econd = E4OPTION(4);
grocer_e4_zeps = E4OPTION(15);
grocer_e4_deps = .00000001;
// All parameters except the variances are constrained
theta = [theta ones(12,1)];
theta(10,2)=0;
theta(12,2)=0;

// Compute preliminar estimates
E4OPTION=sete4opt(E4OPTION,'vcond','idej','econd','zero');
theta=e4preest(theta,grocer_e4_din,grocer_e4_y);


return

// ... and optimize the likelihood function.
[thopt,it,lval,g,h]=e4min('lffast', theta,'', din, y);
[std,corrm,varm,Im] = imod(thopt,din,y);
prtest(thopt,din,lab,y,it,lval,g,h,std,corrm);
NVR=thopt(10,1)/thopt(12,1);
disp(sprintf('NVR = //4.2f ', NVR));

// Smoothing to estimate the trend
[xhat,phat,e]=fismod(thopt,din,y);
trend=xhat(:,1);
deltat=transdif(trend,1,1);

//figure;
//hold on
//plot(trend/1000,'k-')
//plot(y/1000,'ko');
grid
whitebg('w');
hold off
title('plot of log(PIB) versus trend');

plotsers(deltat,0,'changes of the trend');

// Model for the trend derivative: 
y1=transdif(trend,1,2);
[theta3,din3,lab3] = arma2thd([0 0],[],[],[],[0],1);

// Computes preliminar and ML estimates
sete4opt('econd','zero','vcond','lyap');
theta3=e4preest(theta3,din3,y1);
[thetan,it,lval,g,h]=e4min('lffast',theta3,'',din3, y1);
[std,corrm,varm,Im] = imod(thetan,din3,y1);
prtest(thetan,din3,lab3,y1,it,lval,g,h,std,corrm);

// Residual diagnostics
[ehat,vT,wT,vz1,vvT,vwT]=residual(thetan,din3,y1);
descser(ehat,'residuals of the model for the trend');
uidents(ehat,10,'residuals of the model for the trend');
plotsers(ehat,0,'residuals of the model for the trend');

