.TH defaultcoef 1 "" "GROCER" "MULTI Function"
.SH NAME
defaultcoef - Finds default coefficients names
.SH CALLING SEQUENCE
.nf
coef=defaultcoef(defaultname,speccarb,speccara,varargin)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

defaultname = a string (default prefix of the coefficients)
.TP5
speccarb = the characters that must be before a coefficient to be sure that defaultname is not part of the name of an other object
.TP5
speccara = the characters that must be after a coefficient to be sure that defaultname is not part of the name of an other object
.TP5
varargin = strings equal to the texts of the equations
.SH OUTPUT:
.TP5
coef=a (nx1) vector of coefficients names

.SH DESCRIPTION
Determines the list of default coefs names in a set of equations
.SH EXAMPLE
.nf
1) coef=defaultcoef('a',['=';'+'],['+';'*'],'y1=a1+a2*x1','y2=a3+a4*(y1-x2)+a2*x2')
2) grocer_namecoef=defaultcoef('a',grocer_speccarb,grocer_speccara,varargin(:))

Example 1 gives the matrix ['a1';'a2';'a3';'a4']. Example 2 is taken from function sur.
Default car is 'a'; grocer_speccarb and grocer_speccara are given before in the function
(respectively ['+' ; '(' ; '-' ; '*'] and ['+' ; '-' ; '*' ; '/' ; ')']; varargin(:) is the list of
variables arguments passed to function sur. 

.fi
.SH AUTHOR
Eric Dubois 2002
