.TH eq2xcol 1 "" "GROCER" "MULTI Function"
.SH NAME
eq2xcol - Transformation of a system of equations into a matrix vector
.SH CALLING SEQUENCE
.nf
[x,boundsvarb,prests]=eq2xcol(grocer_a,listeq)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

grocer_a = the vector of coefficients where the equations must be evaluated
.TP5
listeq = the list of equations in string form
.SH OUTPUT:
.TP5
x = the X matrix in the regression represented by the system of equations embedded in listeq
.TP5
boundsvarb = the bounds of the regressions (if any)
.TP5
prests = a boolean indicating whether there is a ts in the equations
.SH DESCRIPTION
Transforms a list of strings into the column vector equal to the evaluation of the
list of equations contained in grocer_listeq at point grocer_a. The coefficients must
be named grocer_a(i) in the equations. Used in function explosys.
.SH EXAMPLE
.nf
1) [grocer_x,grocer_boundsvarb,grocer_prests]=eq2xcol(ones(grocer_ncoef,1),grocer_listeq)
2) x=-numz0(eq2xcol,ones(grocer_ncoef,1),grocer_ncoef,ones(grocer_ncoef,grocer_totalnobs),1,grocer_listeq)'

These two examples are taken from explosys. The main interest is in example 2: eq2xcol is
given as an entry in function numz0 in order to calculate the x matrix as the first derivative
of the vector of equations with respect to the coefficients: it is evaluated at vector
ones(grocer_ncoef,1)

.fi
.SH AUTHOR
Eric Dubois 2002
