.TH eqlist 1 "" "GROCER" "MULTI Function"
.SH NAME
eqlist - recovers objects names in an equation

.SH CALLING SEQUENCE
.nf
[namey,ncoefeqi,lexo]=eqlist(eq,coef)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

eq = a string of the form :
  'varendo=coefi*varex1+...+coefj*varexk' with varexi possibly lacking
.TP5
  coef = a string vector of the form coef=['coef1';...;'coefn']
.SH OUTPUT:
.TP

  namey = the name of the rhs variable
.TP5
   ncoefeqi = a (nx1) vector of the indexes of coefi,...,coefj in coef
.TP5
   lexo = a (nx1) vector of names of the exogenous variables
.SH DESCRIPTION
Recovers from an equation the name of the endogenous variable, the indexes of the coefficients (in a vector) and the names of the exogenous variables (also in a vector)
.SH EXAMPLE
.nf
1) [nyi,ncoefi,lexoi]=eqlist('y1=c1*x1+c2*x2',['c1';'c2'])
2) [grocer_nyi,grocer_ncoefi,grocer_lexoi]=eqlist(varargin(grocer_i),grocer_coef)

Example 1 extracts in nyi y1, in ncoefi [1;2] and in lexoi ['x1';'x2'].
Example 2 is taken from function twosls.

.fi
.SH AUTHOR
Eric Dubois 2002
