.TH threesls 1 "" "GROCER" "MULTI Function"
.SH NAME
threesls - Three-Stage Least-squares Regression
.SH CALLING SEQUENCE
.nf
[results]=threesls(arg1,...,argn)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

argi
: arguments which can be:
.TP5
*  an equation of the following form:
.TP5
   'vary=coef1*varx1+...+coefi*varxi' 
.TP5
   where:
.TP5
   - coefi = the name of a coefficient   
.TP5
   - varxi = the name of a variable
.TP5
*  'coef=coef1;coef2;...coefn' where coef1,...,coefn are the
.TP5
   names of the coefficients in the system
.TP5
   (optional; default: 'coef=a1;...,an')
.TP5
*  'endo =[endo1;...;endon]' where endo1,...,endon are the
.TP5
   names of the endogenous variables
.TP5
   (optional; necessary if the names of the endogenous
.TP5
   variables in the rhs of the equations are not the same as
.TP5
   those of the lhs; default: the names of all the lhs sides
.TP5
   of the equations)
.TP5
*  'noprint' if you do not want to print the results
.SH OUTPUT:
.TP 6
results =a results tlist with:
.TP5
  - results('meth')  = 'threesls'
.TP5
  - results('namecoef')  = the matrix of the names of the
.TP5
  coefficients
.TP5
  - results('riv1'),...,results('rivn) = the results of the iv
.TP5
   estimation for each equation (see iv for more details)
.SH DESCRIPTION
Computes Three-Stage Least-squares Regression
.SH EXAMPLE
.nf
r=threesls('y1=a1+b1*x1','y2=a2+b2*x2+c2*y1','y3=a3+b3*x3+c3*y2+d3*x2',...
'coef=a1;a2;a3;b1;b2;b3;c1;c2;c3;d3')

Example taken from function threesls_d. The equations are 'y1=a1+b1*x1','y2=a2+b2*x2+c2*y1'
and 'y3=a3+b3*x3+c3*y2+d3*x2'.Coefficients are a1, a2, a3, b1, b2, b3, c1, c2, c3, d3. 
Their name is given to the function through the input 'coef=a1;a2;a3;b1;b2;b3;c1;c2;c3;d3'.

.fi
.SH AUTHOR
Eric Dubois 2002
