.TH twosls 1 "" "GROCER" "MULTI Function"
.SH NAME
twosls - Two-Stage Least-squares Regression
.SH CALLING SEQUENCE
.nf
[results]=twosls(arg1,...,argn)

.fi
.SH PARAMETERS
.nf
 
.fi
.SH INPUT:
.TP

argi
: arguments which can be:
.TP5
*  an equation of the following form:
.TP5
   'vary=coef1*varx1+...+coefi*varxi' 
.TP5
   where:
.TP5
   - coefi = the name of a coefficient   
.TP5
   - varxi = the name of a variable
.TP5
*  'coef=coef1;coef2;...coefn' where coef1,...,coefn are the
.TP5
   names of the coefficients in the system
.TP5
   (optional; default: 'coef=a1;...,an')
.TP5
*  'endo =[endo1;...;endon]' where enod1,...,endon are the
.TP5
   names of the endogenous variables
.TP5
   (optional; necessary if the names of the endogenous
.TP5
   variables in the rhs of the equations are not the same as
.TP5
   those of the lhs; default: the names of all the lhs sides
.TP5
   of the equations)
.TP5
*  'noprint' if you do not want to print the results
.SH OUTPUT:
.TP 6
results =a results tlist with:
.TP5
  - results('meth')  = 'tsls'
.TP5
  - results('namecoef')  = the matrix of the names of the
.TP5
  coefficients
.TP5
  - results('riv1'),...,results('rivn) = the results of the iv
.TP5
   estimation for each equation (see iv for more details)
.SH DESCRIPTION
Computes Two-Stage Least-squares Regression
.SH EXAMPLE
.nf
rt=twosls('y1=a+b*x1','y2=d+e*(y1-x2)+f*x2','coef=a;b;d;e;f')

Example taken from function twosls_d. The equations are 'y1=a+b*x1' and 'y2=d+e*(y1-x2)+f*x2'. Coefficients are a, b, d, e and f. Their name is given to the function through the input 'coef=a;b;d;e;f'.

.fi
.SH AUTHOR
Eric Dubois 2002
